Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model.framestore
Class DeleteSimplificationFrameStore

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.AbstractFrameStore
          edu.stanford.smi.protege.model.framestore.FrameStoreAdapter
              edu.stanford.smi.protege.model.framestore.DeleteSimplificationFrameStore

All Implemented Interfaces:
  FrameStore

    public class DeleteSimplificationFrameStore

extends FrameStoreAdapter

Author:
  Ray Fergerson

Field Summary

Fields inherited from interface edu.stanford.smi.protege.model.framestore.FrameStore
`UNLIMITED_MATCHES`

Constructor Summary
`DeleteSimplificationFrameStore()`

Method Summary
`void` | `deleteCls(Cls cls)` Delete a single leaf class.
`void` | `deleteFacet(Facet facet)`
`void` | `deleteSimpleInstance(SimpleInstance simpleInstance)`
`void` | `deleteSlot(Slot slot)`
`Collection` | `getClsesToDelete(Cls cls)`
`Collection` | `getSlotsToDelete(Slot slot)`
`void` | `removeDirectSuperclass(Cls cls, Cls superclass)`
`void` | `removeDirectSuperslot(Slot slot, Slot superslot)`
`void` | `removeDirectTemplateSlot(Cls cls, Slot slot)`

Methods inherited from class edu.stanford.smi.protege.model.framestore.FrameStoreAdapter
`addDirectSuperclass, addDirectSuperslot, addDirectTemplateSlot, addDirectType, beginTransaction, beginTransaction, commitTransaction, createCls, createFacet, createSimpleInstance, createSlot, executeQuery, getClsCount, getClses, getClsesWithAnyDirectTemplateSlotValue, getClsesWithDirectTemplateFacetValue, getClsesWithDirectTemplateSlotValue, getClsesWithMatchingBrowserText, getClsesWithMatchingDirectTemplateFacetValue, getClsesWithMatchingDirectTemplateSlotValue, getDirectDomain, getDirectInstances, getDirectlyOverriddenTemplateFacets, getDirectlyOverriddenTemplateSlots, getDirectOwnSlotValues, getDirectOwnSlotValuesClosure, getDirectOwnSlotValuesCount, getDirectSubclasses, getDirectSubslots, getDirectSuperclasses, getDirectSuperslots, getDirectTemplateFacetValues, getDirectTemplateSlots, getDirectTemplateSlotValues, getDirectTypes, getDomain, getEvents, getFacetCount, getFacets, getFrame, getFrame, getFrameCount, getFrameName, getFrames, getFramesWithAnyDirectOwnSlotValue, getFramesWithDirectOwnSlotValue, getFramesWithMatchingDirectOwnSlotValue, getInstances, getMatchingReferences, getOverriddenTemplateFacets, getOverriddenTemplateSlots, getOwnFacets, getOwnFacetValues, getOwnSlots, getOwnSlotValues, getReferences, getSimpleInstanceCount, getSlotCount, getSlots, getSubclasses, getSubslots, getSuperclasses, getSuperslots, getTemplateFacets, getTemplateFacetValues, getTemplateSlots, getTemplateSlotValues, getTransactionStatusMonitor, getTypes, moveDirectOwnSlotValue, moveDirectSubclass, moveDirectSubslot, moveDirectTemplateSlot, moveDirectType, reinitialize, removeDirectTemplateFacetOverrides, removeDirectType, replaceFrame, rollbackTransaction, setDirectOwnSlotValues, setDirectTemplateFacetValues, setDirectTemplateSlotValues`

Methods inherited from class edu.stanford.smi.protege.model.framestore.AbstractFrameStore
`close, getDelegate, getName, onSetDelegate, setDelegate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeleteSimplificationFrameStore

    public DeleteSimplificationFrameStore()

Method Detail

### removeDirectTemplateSlot

    public void removeDirectTemplateSlot(Cls cls,
                                         Slot slot)

  Specified by:
    `removeDirectTemplateSlot` in interface `FrameStore`
  Overrides:
    `removeDirectTemplateSlot` in class `FrameStoreAdapter`

### removeDirectSuperclass

    public void removeDirectSuperclass(Cls cls,
                                       Cls superclass)

  Specified by:
    `removeDirectSuperclass` in interface `FrameStore`
  Overrides:
    `removeDirectSuperclass` in class `FrameStoreAdapter`

### removeDirectSuperslot

    public void removeDirectSuperslot(Slot slot,
                                      Slot superslot)

  Specified by:
    `removeDirectSuperslot` in interface `FrameStore`
  Overrides:
    `removeDirectSuperslot` in class `FrameStoreAdapter`

### deleteCls

    public void deleteCls(Cls cls)

  Description copied from interface: `FrameStore`
  Delete a single leaf class. The operation fails if the class has subclasses or instances.

  Specified by:
    `deleteCls` in interface `FrameStore`
  Overrides:
    `deleteCls` in class `FrameStoreAdapter`
  Parameters:
    `cls` - Class to be deleted

### deleteSlot

    public void deleteSlot(Slot slot)

  Specified by:
    `deleteSlot` in interface `FrameStore`
  Overrides:
    `deleteSlot` in class `FrameStoreAdapter`

### deleteFacet

    public void deleteFacet(Facet facet)

  Specified by:
    `deleteFacet` in interface `FrameStore`
  Overrides:
    `deleteFacet` in class `FrameStoreAdapter`

### deleteSimpleInstance

    public void deleteSimpleInstance(SimpleInstance simpleInstance)

  Specified by:
    `deleteSimpleInstance` in interface `FrameStore`
  Overrides:
    `deleteSimpleInstance` in class `FrameStoreAdapter`

### getClsesToDelete

    public Collection getClsesToDelete(Cls cls)

### getSlotsToDelete

    public Collection getSlotsToDelete(Slot slot)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.